USES CRT, DOS;

VAR
 MakeCode : ARRAY[0..127] OF BOOLEAN;
 KbdIntVec : Procedure;
 i        : integer;




PROCEDURE ScanKeyb; INTERRUPT;
VAR a,b : BYTE;
begin
  a:=port[$60];                         { Tastaturport auslesen }
  b:=a;
  IF b>128 THEN DEC(b,128);
  MakeCode[b]:=a AND 128=0;

(*  mem[$0040:$001A]:=mem[$0040:$001C];   { BIOS-Tastaturpuffer leeren }
  *)
  inline ($9C);                         { PUSHF -- Push flags }
  KbdIntVec;                            { alter Interrupt-Handler }
end;

procedure SetCursorSpeed(NewSpeed : Word);
begin
  Port[$60] := $F3;
  Delay(200);
  Port[$60] := NewSpeed;
end;






begin
 GetIntVec($9,@KbdIntVec);
 SetIntVec($9,@ScanKeyb);
 SetCursorSpeed($F);

 repeat
 ClrScr;
 for i:=0 TO 127 DO
   write(BYTE(MakeCode[i]));

 until MakeCode[0];


 SetIntVec($9,@KbdIntVec);
 SetCursorSpeed((0 shl 5) + 0 );
end.