program LoadFli;

uses crt, dos, VGAUtil;

VAR
p         : PaletteArr;
w,x,y,z   : WORD;
XFile     : FILE;
speed,
AktPic,
AnzPics,
i,j,k,l,m,n   : BYTE;
ch        : CHAR;
DateiName : STRING;
FPos,
FSize      : LONGINT;
FileArr   : ARRAY [1..1024] of byte;

PROCEDURE PaintFirstFrame;
BEGIN
  seek(XFile,$3A0);  { Beginn des ersten Bildes }
  FOR y:=0 TO 199 DO
    BEGIN
      x:=0;
      BlockRead(XFile,i,1);
      FOR z:=1 TO i DO  { alle Befehle einer X-spalte durchlaufen }
      BEGIN
        BlockRead(XFile,j,1);
        IF j>128 THEN   { Versch. Farbenreihe }
         FOR w:=1 TO 256-j DO
           BEGIN
            BlockRead(XFile,k,1);
            putPix(x,y,k);
            INC(x);
           END
        ELSE
          BEGIN         { Farbwiederholung }
            BlockRead(XFile,k,1);
            FOR w:=1 TO j DO
             BEGIN
               putPix(x,y,k);
               INC(x);
             END;
          END;
      END;
    END;
END;

FUNCTION PaintFurtherFrames : BOOLEAN;
BEGIN
    blockread(XFile,i,1);   { Zeilenbeginn }
    blockread(XFile,k,1);
    blockread(XFile,j,1);   { anz. Zeilen  }
    blockread(XFile,k,1);
    FOR y:=i TO i+j-1 DO
    BEGIN
      fpos:=FilePos(XFile);
      x:=0;
      BlockRead(XFile,i,1);
      FOR z:=1 TO i DO  { alle Befehle einer X-spalte durchlaufen }
      BEGIN
        BlockRead(XFile,j,1); { Rechtsverschiebung }
        INC(x,j);
        BlockRead(XFile,j,1);
        IF j>128 THEN   { Farbwiederholung }
         BEGIN
            BlockRead(XFile,k,1);
            FOR w:=1 TO 256-j DO
             BEGIN
               putPix(x,y,k);
               INC(x);
             END;
          END
        ELSE
         FOR w:=1 TO j DO    { Versch. Farbenreihe }
           BEGIN
            BlockRead(XFile,k,1);
            putPix(x,y,k);
            INC(x);
           END;
      END;
    END;
END;

BEGIN
DateiName:='d:\progra~1\aanim\bosstalk.fli';
DateiName:='grass3.fli';
assign(XFile,DateiName);
 {$I-}
 reset(XFile,1);
 {$I+}
 IF IOresult=0 THEN
 BEGIN
  FSize:=FileSize(XFile);
  Init320200;
  Seek(XFile,6);
  blockRead(XFile,AnzPics,1);
  Seek(XFile,17);
  blockRead(XFile,speed,1);
  AktPic:=0;
  Seek(XFile,$9B-1);   { Beginn der Palette }
  blockread(XFile,p,SizeOf(p));
  SetPalette(p);
  PaintFirstFrame;
  readln;
  repeat
   FPos:=FilePos(XFile);
   IF odd(FPos) THEN blockread(XFile,i,1);  { dummybyte laden }
   repeat
      blockread(XFile,i,1);
      blockread(XFile,j,1);   { size }
      blockread(XFile,m,1);   { zeroword }
      blockread(XFile,n,1);
      blockread(XFile,k,1);
      blockread(XFile,l,1);   { code }
      IF (k=$FA) AND (l=$F1) THEN
       BEGIN
        seek(XFile, FilePos(XFile)+10);
        INC(AktPic);
        write(#7);
       END;
   until (k=$0C) AND (l=$00);
   PaintFurtherFrames;
  until AnzPics=AktPic;
  delay(500);
  textmode (CO80);
 END   { Datei vorhanden }
  ELSE
   Writeln(#7,'Datei nicht gefunden!!!! ');
END.